<html>
<head>
<title>php script</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
</head>
<?php
require_once 'Database_Connect.php';
?>
<body>
<?php
$query = "create table if not exists property_card_oldfile (
FileId	int unsigned not null auto_increment,
FileNumber	varchar	(50),
primary key (FileId),
DescriptionOfProperty	text,
RegistrationNo	varchar	(50),
Grantor	varchar	(255),
GranteeName	varchar	(255),
InstrumentType	int,
DetachementNumber	varchar	(15),
DateOfTransaction	date,
Comments text
)";
mysql_query($query,$link) or die(mysql_error($link));
echo "property card old file created"."<br/>";

$query2 = "create table if not exists file (
FileId int unsigned not null auto_increment,
primary key (FileId),
FileNumber	varchar(50),
DateCreated	datetime, 
CreatorId	int,
ReceiverId	int,	
ReceivedDate	datetime,
RejectorId	int	,
RejectionDate	datetime,
RejectionID	int	,
RejectFileStatus	char,
ActiveInstrumentId	int,
OldFileNumber	varchar(50),
RecertTLflag	char,
ReceiveFileStatus	char,
DRFileReject	char,
DePrecate	char,
RegistryCertificateNumber	varchar(51),
LandOwnerCertificateNumber	varchar	(51),
Revoked	char	,
RevocationComentsID	int	,
FileComments	text
)";
mysql_query($query2,$link) or die(mysql_error($link));
echo "file created"."<br/>";
$query3 = "create table if not exists instrument (
InstrumentId int unsigned not null auto_increment,
primary key (InstrumentId),
InstrumentName varchar(50),
ShortName varchar(10),
party1 varchar(255),
party2 varchar(255),
witness tinyint,
legal tinyint,
surety tinyint
)";
mysql_query($query3,$link) or die(mysql_error($link));
echo "Instrument created"."<br/>";

$query4 = "create table if not exists layout (
LayoutId int unsigned not null auto_increment,
primary key (LayoutId),
LayoutName varchar(50),
RegistrationCode varchar(10)
)";
mysql_query($query4,$link) or die(mysql_error($link));
echo "layout created"."<br/>";

$query5 = "create table if not exists townplanzone (
ZoneId int unsigned not null auto_increment,
primary key (ZoneId),
ZoneName varchar(50)
)";
mysql_query($query5,$link) or die(mysql_error($link));
echo "Town Planning Zones created"."<br/>";


$query7 = "create table if not exists plotholder (
PlotHolderId int unsigned not null auto_increment,
primary key (PlotHolderId),
PlotHolderTitle	int,
PlotHolderSurname	varchar(100),
PlotHolderMiddlename	varchar	(100),
PlotHolderFirstName	varchar	(100),
Address	varchar	(255),
DateOfBirth	date,
Telephone	varchar	(50),
Telephone1	varchar	(50),
Sex	char,
CompanyName	varchar	(255),
RCNumber	varchar	(50),
NewHolder	int	
)";
mysql_query($query7,$link) or die(mysql_error($link));
echo "plotholder created"."<br/>";

$query8 = "create table if not exists plotholder_in_property (
PhInPropId int unsigned not null auto_increment,
primary key (PhInPropId),
PlotHolderId int,
PropertyId int
)";
mysql_query($query8,$link) or die(mysql_error($link));
echo "Plot Holder in Property created"."<br/>";


$query10 = "create table if not exists property (
PropertyId int unsigned not null auto_increment,
primary key (PropertyId),
PlotNumber	varchar(21),
PropertyDesc	varchar	(251),
DrawingNumber	varchar	(31),
StreetId	int,
PropertyParentId	int,
PropertyStatus	char,
FileId	int,
PropertyTypeId	int,
LGACode	varchar	(51),
LayoutId	int,
Caveat	char,
DateCreated	datetime,
DateDue	datetime,
CreatedBy	int
)";
mysql_query($query10,$link) or die(mysql_error($link));
echo "Property created"."<br/>";

$query20 = "create table if not exists instrument_in_file (
Instrument_in_fileId int unsigned not null auto_increment,
primary key (Instrument_in_fileId),
FileNumber varchar(50),
ExecutionPhase varchar(2),
DetachmentOrderStatus varchar(2),
DetachmentOrderDate datetime,
DetachmentOrderOfficerId int,
IgnoreDetachOrder varchar(2),
IgnoreDetachDate datetime,
IgnoreDetachReasonID int,
CheckStatus varchar(2),
CheckingOfficerDate datetime,
IgnoreCheckID varchar(2),
IgnoreCheckedStatus varchar(2),
CheckOfficerId int,
ExecuteStatus varchar(2),
ExecuteDate datetime,
IgnoreExecuteDate datetime,
IgnoreExecuteStatus varchar(2),
ExecuteOfficerId int,
RegistrationDate datetime,
RegistrationOfficerId int,
DetachmentStatus varchar(2),
DetachmentOfficerId int,
IgnoreExecuteType varchar(2),
DispatchedStatus varchar(2),
DispatchedDate datetime,
DispatchOfficerId int,
InstrumentTypeId int,
VettingStatus varchar(2),
VettingOfficerId int,
VettingOfficerDate datetime,
ComputerOpIIIStatus varchar(2),
ComputerOpIIIid int,
ComputerOpIIIDate datetime,
FinalCopy varchar(2),
FinalCopyDate datetime,
FinalCopyPrintBy int,
Count int,
SurveyPrintStatus varchar(2),
Survey varchar(50),
SurveyPrintBy int,
SurveyPrintDate datetime,
GRentStatus varchar(2),
GRentBy int,
GRentRegDate datetime,
IgnoreValidatedFile varchar(2),
DateIgnoredFile datetime,
IgnoreOfficerID int,
IgnoreValidateReason int,
land_use varchar(50),
Stamped varchar(2),
stampdate datetime,
stampedby int,
Completed varchar(2)
)";
mysql_query($query20,$link) or die(mysql_error($link));
echo "Instrument in file created"."<br/>";


$query22 = "create table if not exists solicitors (
SolicitorsId int unsigned not null auto_increment,
primary key (SolicitorsId),
InstrumentTransactionId int,
SolicitorsFirstName varchar(255),
SolicitorsLastName varchar(255),
SolicitorsMiddleName varchar(255),
SolicitorsAddress varchar(255)
)";
mysql_query($query22,$link) or die(mysql_error($link));
echo "Solicitor created"."<br/>";

$query23 = "create table if not exists AbstractBook (
DetachmentId int unsigned not null auto_increment,
primary key (DetachmentId),
DetachmentNumber varchar(50),
RegistrationNumber varchar(50),
DetachmentDate date,
RegistrationDate date,
InstrumentCollectionDate date,
Instrument_in_fileId int,
PropertyTypeId int,
PlotholderId int,
TreasuryReceiptNumber varchar(50),
FeesPaid varchar(255),
OldRegistrationNumber varchar(50)
)";
mysql_query($query23,$link) or die(mysql_error($link));
echo "Abstract Book created"."<br/>";

$query23 = "create table if not exists InstrumentTransactions(
InstrumentTranscId int unsigned not null auto_increment,
primary key (InstrumentTranscId),
GiverName varchar(255),
GiverAddress varchar(255),
TakerName varchar(255),
TakerAddress varchar(255),
InstrumentTypeId int,
PropertyTypeId int,
FileId int,
DateofTransaction datetime,
RecievedBy int,
DateRecieved datetime,
Activated varchar(2),
Completed varchar(2)
)";
mysql_query($query23,$link) or die(mysql_error($link));
echo "Instrument Transactions  created"."<br/>";


$query22 = "create table if not exists witness (
WitnessId int unsigned not null auto_increment,
primary key (WitnessId),
InstrumentTransactionId int,
WitnessFirstName varchar(255),
WitnessLastName varchar(255),
WitnessMiddleName varchar(255),
WitnessOccupation varchar(255),
WitnessAddress text,
WitnessFor varchar(255)
)";
mysql_query($query22,$link) or die(mysql_error($link));
echo "Witness created"."<br/>";

$query23 = "create table if not exists Comments(
CommentId int unsigned not null auto_increment,
primary key (CommentId),
CommentDesc varchar(255)
)";
mysql_query($query23,$link) or die(mysql_error($link));
echo "comments created"."<br/>";

$query22 = "create table if not exists surety (
SuretyId int unsigned not null auto_increment,
primary key (SuretyId),
InstrumentTransactionId int,
SuretyFirstName varchar(255),
SuretyLastName varchar(255),
SuretyMiddleName varchar(255),
SuretyAddress varchar(255)
)";
mysql_query($query22,$link) or die(mysql_error($link));
echo "Surety created"."<br/>";

$query = "create table if not exists survey_details (
SurveyId int unsigned not null auto_increment,
FileId	varchar	(50),
primary key (SurveyId),
SurveyNo varchar(100),
TracingNo varchar(100),
Benchmark varchar(50),
BeaconNo text,
Area float(8,2)
)";
mysql_query($query,$link) or die(mysql_error($link));
echo "Survey Details created"."<br/>";


$query23 = "create table if not exists Caveat(
CaveatId int unsigned not null auto_increment,
primary key (CaveatId),
FileNumber varchar(100),
PlacedBy varchar(255),
DateCreated datetime,
DateDue datetime,
Activated int,
DateExpired datetime,
ReceiptNo varchar(100),
CreatedBy int
)";
mysql_query($query23,$link) or die(mysql_error($link));
echo "Caveat created"."<br/>";

$query21 = "create table if not exists payment (
paymentid int unsigned not null auto_increment,
primary key (paymentid),
FileNumber varchar(255),
Name varchar(255),
Amount float(8,2),
purpose varchar(255),
comment varchar(255),
reciept varchar(100),
User int,
Date date,
status int
)";
mysql_query($query21,$link) or die(mysql_error($link));
echo "payment table created"."<br/>";

$query21 = "create table if not exists coordinates (
BeaconNo varchar(100),
primary key (BeaconNo),
Locality varchar(255),
District varchar(100),
Comp varchar(100),
Fb varchar(100),
Northing varchar(100),
Easting varchar(100),
PlanNo varchar(100),
Origin varchar(100),
Height varchar(100),
Remark varchar(255)
)";
mysql_query($query21,$link) or die(mysql_error($link));
echo "coordinates table created"."<br/>";


$query23 = "create table if not exists Revocation (
RevokeId int unsigned not null auto_increment,
primary key (RevokeId),
FileNumber varchar(100),
Owner varchar(255),
DateRevoked datetime,
Reason int,
Comments text,
CreatedBy int
)";
mysql_query($query23,$link) or die(mysql_error($link));
echo "Revocation table created"."<br/>";

$query19 = "create table if not exists revocation_reasons (
revocationId int unsigned not null auto_increment,
primary key (revocationId),
revocationDesc varchar(255)
)";
mysql_query($query19,$link) or die(mysql_error($link));
echo "revocation reason created"."<br/>";

$query21 = "create table if not exists groundrent (
groundrentid int unsigned not null auto_increment,
primary key (groundrentid),
year year,
FileNumber varchar(255),
GrountRent float(8,2),
area float(8,2),
User int,
Date datetime
)";
mysql_query($query21,$link) or die(mysql_error($link));
echo "ground rent created"."<br/>";

$query21 = "create table if not exists groundrent_rate (
rentrateid int unsigned not null auto_increment,
primary key (rentrateid),
Amount float(8,2),
Date year

)";
mysql_query($query21,$link) or die(mysql_error($link));
echo "ground rent rate created"."<br/>";

mysql_close($link);
?>
</body>
</html>
